#!/bin/sh

HWINFO=/tmp/hwinfo
cd /update/firmware

echo -n `iplink show eth0 | awk 'NR==2 {print toupper($2)}'` > $HWINFO
if [ `dmesg | grep -c "TFTDET frame buffer device"` = "1" ]; then
	echo -n "B" >> $HWINFO
	./lzop -d fpga_hw2.bin.lzo
	FPGA=fpga_hw2.bin
else
	echo -n "A" >> $HWINFO
	./lzop -d fpga.bin.lzo
	FPGA=fpga.bin
fi
echo -n "----" >> $HWINFO

if [ -e /dev/mtd-hwinfo ]
then
	/sbin/flashcp -v $FPGA	/dev/mtd-fpga
    /sbin/flashcp -v $HWINFO /dev/mtd-hwinfo
else
	./glue_hwinfo.sh /tmp/fpga $FPGA $HWINFO
	/sbin/flashcp -v /tmp/fpga /dev/mtd-fpga
	rm /tmp/fpga
fi

rm $HWINFO
